SleepResource

Reads sleep statistics.

  • Stable unknown
  • Release candidate since 0.1.0-rc.4
  • Development since 0.1.0-dev.24+fa54770
public final class SleepResource

Reads sleep statistics. Get it from SlimResource.sleep().

Methods

statistics

public JsonNode statistics(
        Map<String, ?> query,
        RequestOptions options) throws IOException, InterruptedException

Gets sleep statistics (GET /v1/slim/sleep/statistics).

Parameters:

  • query: query parameters; null values are skipped
  • options: per-request options, such as the timeout

Returns: the response body

Throws:

  • IOException: if the request cannot be sent or the response cannot be read
  • InterruptedException: if the thread is interrupted while waiting for the response

Last updated on

On this page